Skip to main content
GET
/
v1
/
dev
/
user
/
conversations
Get Conversations
curl --request GET \
  --url https://api.omi.me/v1/dev/user/conversations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.omi.me/v1/dev/user/conversations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.omi.me/v1/dev/user/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "created_at": "2023-11-07T05:31:56Z",
    "finished_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "started_at": "2023-11-07T05:31:56Z",
    "structured": {
      "overview": "<string>",
      "title": "<string>",
      "action_items": [],
      "emoji": "🧠",
      "events": []
    },
    "folder_id": "<string>",
    "folder_name": "<string>",
    "geolocation": {
      "latitude": 123,
      "longitude": 123,
      "address": "<string>",
      "google_place_id": "<string>",
      "location_type": "<string>"
    },
    "language": "<string>",
    "source": "<string>",
    "transcript_segments": [
      {
        "end": 123,
        "start": 123,
        "text": "<string>",
        "id": "<string>",
        "speaker_id": 123,
        "speaker_name": "<string>"
      }
    ]
  }
]
{
"detail": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <firebase_id_token>.

Query Parameters

start_date
string<date-time> | null
end_date
string<date-time> | null
categories
string | null
limit
integer
default:25
offset
integer
default:0
include_transcript
boolean
default:false
folder_id
string | null
Minimum string length: 1
starred
boolean | null

Response

Successful Response

created_at
string<date-time>
required
finished_at
string<date-time> | null
required
id
string
required
started_at
string<date-time> | null
required
structured
DeveloperConversationStructured · object
required
folder_id
string | null
folder_name
string | null
geolocation
Geolocation · object | null
language
string | null
source
string | null
transcript_segments
DeveloperTranscriptSegment · object[] | null